Add an addon domain to your hosting account

Add an additional domain to your existing hosting account. This is useful if you want multiple domain names to point to the same website or content on your account.

Web Hosting Services Hosting Accounts

Context

Where to get IDs / values

Path Parameters

accountId integer · min: 1 required Example: 20000

Unique account identifier

Headers

Accept Example
Content-Type Example

Body

required
application/json
domain string required · Example: example.com
subdomain string required · Example: odsmalsosteopatklinik

Responses

200
data object required
data.accountId string required · Example: 20000
data.added boolean required · Example: true
data.cpanelUsername string required · Example: xkqjm
data.dir string · enum required · Example: public_html/example.com
public_html/example.com
public_html/example.com
public_html/example.com
public_html/example.com
data.domain string required · Example: example.com
data.subdomain string required · Example: odsmalsosteopatklinik
data.success boolean required · Example: true

True for successful responses.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

422
code string required · Example: VALIDATION_ERROR

Machine-readable error code.

details array<object> required · Example: [{"field":"domain","message":"domain has invalid format","code":"INVALID_FORMAT"}]

Optional validation details (field-level errors).

details[].code string required · Example: INVALID_FORMAT

Machine-readable error code.

details[].field string required · Example: domain
details[].message string required · Example: domain has invalid format

Human-readable message.

error string required · Example: Unprocessable Entity

HTTP status title (e.g. 'Bad Request').

message string required · Example: Validation failed

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

500
code string required · Example: INTERNAL_ERROR

Machine-readable error code.

error string required · Example: Internal Server Error

HTTP status title (e.g. 'Bad Request').

message string required · Example: An unexpected error occurred

Human-readable message.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

POST https://cloud.hostup.se/api/hosting/{accountId}/addon-domains
For AI assistants
cURL
curl -X POST "https://cloud.hostup.se/api/hosting/20000/addon-domains" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "domain": "example.com",
    "subdomain": "odsmalsosteopatklinik"
  }'
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "success": true,
    "accountId": "20000",
    "cpanelUsername": "xkqjm",
    "domain": "example.com",
    "subdomain": "odsmalsosteopatklinik",
    "dir": "public_html/example.com",
    "added": true
  }
}
Request Body Example 1
{
  "domain": "example.com",
  "subdomain": "odsmalsosteopatklinik"
}